/// <reference types="knockout" />
import { UiElement, UiElementOptions } from "../../../framework/uiElement";
export interface SelectOptions<TItem> extends UiElementOptions {
    items?: Array<TItem> | KnockoutObservableArray<TItem>;
    itemsCaption?: string;
    itemsText?: keyof TItem;
    itemsValue?: keyof TItem;
    value?: any | KnockoutObservable<any>;
    onchange?: (value: any) => void;
}
export declare class Select<TItem> extends UiElement {
    constructor(options?: SelectOptions<TItem>);
    build(): void;
    readonly element: HTMLSelectElement;
    readonly options: SelectOptions<TItem>;
}
